## pre-commit 2.17.0

=== testing/resources/r_hooks_repo/DESCRIPTION ===
Package: gli.clu
Title: What the Package Does (One Line, Title Case)
Type: Package
Version: 0.0.0.9000
Authors@R:
    person(given = "First",
           family = "Last",
           role = c("aut", "cre"),
           email = "first.last@example.com",
           comment = c(ORCID = "YOUR-ORCID-ID"))
Description: What the package does (one paragraph).
License: `use_mit_license()`, `use_gpl3_license()` or friends to
    pick a license
Encoding: UTF-8
LazyData: true
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.1.1
Imports:
    rprojroot

## pre-commit 2.6.0

=== debian/changelog ===
pre-commit (2.6.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.6.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 03 Jul 2020 21:27:50 +0200

pre-commit (2.5.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.5.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 14 Jun 2020 11:11:32 +0200

pre-commit (2.3.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.3.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 28 Apr 2020 07:31:45 +0200

pre-commit (2.2.0-2) sid; urgency=medium

  * Uploading to sid.
  * Removing unneeded debhelper versioned build-depends.
  * Updating to debhelper version 13.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 19 Apr 2020 12:05:56 +0200

pre-commit (2.2.0-1) sid; urgency=medium

  * Initial upload to sid (Closes: #793655).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 24 Mar 2020 23:00:03 +0100

=== debian/control ===
Source: pre-commit
Section: utils
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://pre-commit.com
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pre-commit
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pre-commit

Package: pre-commit
Architecture: all
Depends:
 python3-cfgv,
 python3-identify,
 python3-importlib-metadata,
 ${misc:Depends},
 ${python3:Depends},
Description: Git pre-commit hook framework
 A framework for managing and maintaining multi-language Git pre-commit hooks.

## pre-commit 2.10.1

=== debian/changelog ===
pre-commit (2.10.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.10.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 08 Feb 2021 13:55:01 +0100

pre-commit (2.10.0-2) sid; urgency=medium

  * Uploading to sid.
  * Fixing previous copy-paste error in changelog.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 30 Jan 2021 07:45:45 +0100

pre-commit (2.10.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.10.0.
  * Updating years in copyright file for 2021.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 30 Jan 2021 07:42:06 +0100

pre-commit (2.9.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.9.3.
  * Updating to standards version 4.5.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 27 Jan 2021 17:04:36 +0100

pre-commit (2.8.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.8.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 03 Nov 2020 07:17:47 +0100

pre-commit (2.7.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.7.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 30 Aug 2020 13:23:02 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://pre-commit.com
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pre-commit
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pre-commit

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --buildsystem=pybuild --with python3

## pre-commit 2.17.0

=== debian/changelog ===
pre-commit (2.17.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.17.0.
  * Updating copyrights for 2022.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 21 Jan 2022 20:59:23 +0100

pre-commit (2.16.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.16.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 Dec 2021 04:58:02 +0100

pre-commit (2.15.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.15.0.
  * Updating to standards version 4.6.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 06 Sep 2021 06:24:11 +0200

pre-commit (2.14.0-2) sid; urgency=medium

  * Uploading to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 15 Aug 2021 17:50:06 +0200

pre-commit (2.14.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.14.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 12 Aug 2021 14:03:34 +0200

pre-commit (2.13.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.13.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 17 Jul 2021 09:38:29 +0200

pre-commit (2.12.1-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.12.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 19 Apr 2021 15:31:55 +0200

pre-commit (2.12.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.12.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 10 Apr 2021 16:28:13 +0200

pre-commit (2.11.1-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.11.1.
  * Updating python debhelper sequence.
  * Correcting wrong copy/paste version number in previous changelog entry.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 12 Mar 2021 22:22:36 +0100

pre-commit (2.11.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.11.0.
  * Updating python debhelper sequence.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 08 Feb 2021 13:55:01 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://pre-commit.com
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pre-commit
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pre-commit

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pre-commit-$1\.tar\.gz/ \
https://github.com/pre-commit/pre-commit/releases .*/v?(\d\S+)\.tar\.gz

## pre-commit 2.20.0

=== debian/changelog ===
pre-commit (2.20.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.20.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 14 Jul 2022 15:16:32 +0200

pre-commit (2.19.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.19.0.
  * Updating to standards version 4.6.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 19 Jun 2022 09:01:09 +0200

pre-commit (2.18.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.18.1.
  * Correcting wrong upstream package name in copyright.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Apr 2022 20:42:34 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://pre-commit.com
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pre-commit
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pre-commit

## pre-commit 3.0.4

=== debian/changelog ===
pre-commit (3.0.4-1) sid; urgency=high

  * Uploading to sid, using bumped urgency to get latest 3.0.x release
    into testing before the freeze.
  * Merging upstream version 3.0.4.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 08 Feb 2023 05:17:19 +0100

pre-commit (3.0.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.0.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 03 Feb 2023 07:01:02 +0100

pre-commit (3.0.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.0.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 30 Jan 2023 17:53:31 +0100

pre-commit (2.21.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.21.0.
  * Updating to standards version 4.6.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 04 Jan 2023 08:22:30 +0100

pre-commit (2.20.0-2) sid; urgency=medium

  * Uploading to sid.
  * Fixing watch file by switching from releases to tags.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 22 Sep 2022 06:00:28 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://pre-commit.com
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pre-commit
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pre-commit

## pre-commit 3.2.2

=== debian/changelog ===
pre-commit (3.2.2-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 3.2.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 07 Apr 2023 14:31:40 +0200

pre-commit (3.2.1-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 3.2.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 03 Apr 2023 09:27:07 +0200

pre-commit (3.2.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 3.2.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 19 Mar 2023 11:19:12 +0100

pre-commit (3.1.1-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 3.1.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 07 Mar 2023 19:06:11 +0100

pre-commit (3.1.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 3.1.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 27 Feb 2023 11:32:32 +0100

## pre-commit 3.3.3

=== debian/changelog ===
pre-commit (3.3.3-2) sid; urgency=medium

  * Uploading to sid.
  * Manually removing some files that pybuild doesn't clean up during
    build (Closes: #1046436).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 14 Aug 2023 12:01:01 +0200

pre-commit (3.3.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.3.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 16 Jun 2023 11:45:18 +0200

pre-commit (3.3.2-2) sid; urgency=medium

  * Uploading to sid.
  * Uploading without changes after bookworm release.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 11 Jun 2023 14:35:09 +0200

pre-commit (3.3.2-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 3.3.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 19 May 2023 11:40:23 +0200

pre-commit (3.3.1-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 3.3.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 10 May 2023 08:30:50 +0200

## pre-commit 3.6.2

=== debian/changelog ===
pre-commit (3.6.2-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.6.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 21 Feb 2024 07:15:30 +0100

pre-commit (3.6.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.6.1.
  * Updating copyright for 2024.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 13 Feb 2024 06:42:27 +0100

pre-commit (3.6.0-2) sid; urgency=medium

  * Uploading to sid.
  * Removing now unnecessary manual depends on python3-importlib-metadata,
    thanks to Alexandre Detiste <alexandre.detiste@gmail.com> (Closes:
    #1058955).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 19 Dec 2023 12:08:07 +0100

pre-commit (3.6.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.6.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 11 Dec 2023 09:29:52 +0100

pre-commit (3.5.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.5.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 16 Oct 2023 13:15:03 +0200

pre-commit (3.4.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.4.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Sep 2023 11:08:24 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Depends:
  python3-cfgv,
  python3-identify,
- python3-importlib-metadata,
  ${misc:Depends},
  ${python3:Depends},
 Description: Git pre-commit hook framework

## pre-commit 3.7.1

=== debian/changelog ===
pre-commit (3.7.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.7.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 18 May 2024 07:33:42 +0200

pre-commit (3.7.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.7.0.
  * Updating to standards-version 4.7.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 08 Apr 2024 10:09:26 +0200

## pre-commit 3.8.0

=== debian/changelog ===
pre-commit (3.8.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.8.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 29 Jul 2024 11:34:40 +0200

## pre-commit 4.0.1

=== debian/changelog ===
pre-commit (4.0.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 4.0.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 09 Oct 2024 08:23:38 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://pre-commit.com
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pre-commit
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/pre-commit

## pre-commit 4.1.0

=== debian/changelog ===
pre-commit (4.1.0-2) sid; urgency=medium

  * Updating vcs fields.
  * Updating my email address.
  * Updating year in debian copyright for 2025.
  * Trimming debian changelog.

 -- Daniel Baumann <daniel@debian.org>  Sun, 09 Feb 2025 21:58:03 +0100

pre-commit (4.1.0-1) sid; urgency=medium

  * Updating source url in copyright.
  * Merging upstream version 4.1.0.

 -- Daniel Baumann <daniel@debian.org>  Wed, 22 Jan 2025 19:50:51 +0100

=== debian/control ===
Source: pre-commit
Section: utils
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://pre-commit.com
Vcs-Browser: https://forgejo.debian.net/git/pre-commit
Vcs-Git: https://forgejo.debian.net/git/pre-commit

Package: pre-commit
Architecture: all
Depends:
 python3-cfgv,
 python3-identify,
 ${misc:Depends},
 ${python3:Depends},
Description: Git pre-commit hook framework
 A framework for managing and maintaining multi-language Git pre-commit hooks.

## pre-commit 4.2.0

=== debian/changelog ===
pre-commit (4.2.0-3) experimental; urgency=medium

  * Harmonizing upstream urls.
  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Fri, 16 May 2025 20:02:36 +0200

pre-commit (4.2.0-2) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 07:45:50 +0200

pre-commit (4.2.0-1) sid; urgency=medium

  * Merging upstream version 4.2.0.
  * Updating year in upstream copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Mar 2025 08:18:12 +0100

pre-commit (4.1.0-3) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 20:36:27 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://pre-commit.com
-Vcs-Browser: https://forgejo.debian.net/git/pre-commit
-Vcs-Git: https://forgejo.debian.net/git/pre-commit
+Vcs-Browser: https://forgejo.debian.net/pre-commit/pre-commit
+Vcs-Git: https://forgejo.debian.net/pre-commit/pre-commit
 
 Package: pre-commit
 Architecture: all

## pre-commit 4.3.0

=== debian/changelog ===
pre-commit (4.3.0-1) sid; urgency=medium

  * Merging upstream version 4.3.0.
  * Updating homepage field.

 -- Daniel Baumann <daniel@debian.org>  Mon, 11 Aug 2025 06:34:10 +0200

pre-commit (4.2.0-4) sid; urgency=medium

  * Adding upstream metadata.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 21:19:52 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-setuptools,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
-Homepage: https://pre-commit.com
+Homepage: https://github.com/pre-commit/pre-commit
 Vcs-Browser: https://forgejo.debian.net/pre-commit/pre-commit
 Vcs-Git: https://forgejo.debian.net/pre-commit/pre-commit

=== debian/watch ===
version=4
https://github.com/pre-commit/pre-commit/tags .*/v?(\d.*)@ARCHIVE_EXT@

## pre-commit 4.4.0

=== Makefile ===
release_version := $(shell GIT_CEILING_DIRECTORIES=$(PWD) bin/rbenv --version | cut -d' ' -f2)

share/man/man1/rbenv.1: share/man/man1/rbenv.1.adoc
	asciidoctor -b manpage -a version=$(release_version:v%=%) $<

=== debian/changelog ===
pre-commit (4.4.0-1) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Merging upstream version 4.4.0.
  * Updating watch file to version 5.

 -- Daniel Baumann <daniel@debian.org>  Wed, 12 Nov 2025 07:01:31 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  dh-sequence-python3,
  python3-all,
  python3-setuptools,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/pre-commit/pre-commit
 Vcs-Browser: https://forgejo.debian.net/pre-commit/pre-commit

=== debian/watch ===
Version: 5

Template: Github
Owner: pre-commit
Project: @PACKAGE@

## pre-commit 4.5.0

=== debian/changelog ===
pre-commit (4.5.0-1) sid; urgency=medium

  * Merging upstream version 4.5.0.

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Nov 2025 19:00:25 +0100

## pre-commit 4.5.1

=== debian/changelog ===
pre-commit (4.5.1-1) sid; urgency=medium

  * Merging upstream version 4.5.1.

 -- Daniel Baumann <daniel@debian.org>  Mon, 22 Dec 2025 06:57:59 +0100
